Index: packages.ent
===================================================================
--- packages.ent	(revision c0eef3d7c3929f88f475ce3738b817cdda702175)
+++ packages.ent	(revision c0eef3d7c3929f88f475ce3738b817cdda702175)
@@ -0,0 +1,327 @@
+<?xml version="1.0" encoding="ISO-8859-1"?>
+
+<!ENTITY aboot-version "0.9b">
+<!ENTITY aboot-size "2.6 MB">
+<!ENTITY aboot-url "&sourceforge;aboot/aboot-&aboot-version;.tar.bz2?download">
+
+<!ENTITY autoconf-version "2.59">
+<!ENTITY autoconf-size "908 KB">
+<!ENTITY autoconf-url "&gnu;autoconf/autoconf-&autoconf-version;.tar.bz2">
+
+<!ENTITY automake-version "1.9.6">
+<!ENTITY automake-size "748 KB">
+<!ENTITY automake-url "&gnu;automake/automake-&automake-version;.tar.bz2">
+
+<!ENTITY bash-version "3.0">
+<!ENTITY bash-size "1.8 MB">
+<!ENTITY bash-url "&gnu;bash/bash-&bash-version;.tar.gz">
+
+<!ENTITY bash-doc-version "3.0">
+<!ENTITY bash-doc-size "1.9 MB">
+<!ENTITY bash-doc-url "&gnu;bash/bash-doc-&bash-doc-version;.tar.gz">
+
+<!ENTITY binutils-version "2.16.1">
+<!ENTITY binutils-size "12.2 MB">
+<!ENTITY binutils-url "&gnu;binutils/binutils-&binutils-version;.tar.bz2">
+
+<!ENTITY bison-version "2.1">
+<!ENTITY bison-size "916 KB">
+<!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.gz">
+
+<!ENTITY bzip2-version "1.0.3">
+<!ENTITY bzip2-size "596 KB">
+<!ENTITY bzip2-url "http://www.bzip.org/&bzip2-version;/bzip2-&bzip2-version;.tar.gz">
+
+<!ENTITY colo-version "1.19">
+<!ENTITY colo-size "240 KB">
+<!ENTITY colo-url "http://www.colonel-panic.org/cobalt-mips/colo/colo-&colo-version;.tar.gz">
+
+<!ENTITY coreutils-version "5.93">
+<!ENTITY coreutils-size "4.1 MB">
+<!ENTITY coreutils-url "&gnu;coreutils/coreutils-&coreutils-version;.tar.bz2">
+
+<!ENTITY dejagnu-version "1.4.4">
+<!ENTITY dejagnu-size "852 KB">
+<!ENTITY dejagnu-url "&gnu;dejagnu/dejagnu-&dejagnu-version;.tar.gz">
+
+<!ENTITY diffutils-version "2.8.7">
+<!ENTITY diffutils-size "648 KB">
+<!ENTITY diffutils-url "&alpha-gnu;diffutils/diffutils-&diffutils-version;.tar.gz">
+
+<!ENTITY e2fsprogs-version "1.38">
+<!ENTITY e2fsprogs-size "3.1 MB">
+<!ENTITY e2fsprogs-url "&sourceforge;e2fsprogs/e2fsprogs-&e2fsprogs-version;.tar.gz?download">
+
+<!ENTITY elftoaout-version "2.3">
+<!ENTITY elftoaout-size "13 KB">
+<!ENTITY elftoaout-url "http://gd.tuwien.ac.at/opsys/linux/Owl/pool/sources/elftoaout/elftoaout-&elftoaout-version;.tgz">
+
+<!ENTITY expect-version "5.43.0">
+<!ENTITY expect-size "416 KB">
+<!ENTITY expect-url "http://expect.nist.gov/src/expect-&expect-version;.tar.gz">
+<!ENTITY expect-lib-version "5.43">
+
+<!ENTITY file-version "4.16">
+<!ENTITY file-size "400 KB">
+<!ENTITY file-url "ftp://ftp.astron.com/pub/file/file-&file-version;.tar.gz">
+
+<!ENTITY findutils-version "4.2.25">
+<!ENTITY findutils-size "784 KB">
+<!ENTITY findutils-url "&gnu;findutils/findutils-&findutils-version;.tar.gz">
+
+<!ENTITY flex-version "2.5.31">
+<!ENTITY flex-size "672 KB">
+<!ENTITY flex-url "&sourceforge;lex/flex-&flex-version;.tar.bz2?download">
+
+<!ENTITY gawk-version "3.1.5">
+<!ENTITY gawk-size "1.6 MB">
+<!ENTITY gawk-url "&gnu;gawk/gawk-&gawk-version;.tar.bz2">
+
+<!ENTITY gcc-version "4.0.2">
+<!ENTITY gcc-size "30.3 MB">
+<!ENTITY gcc-url "&gnu;gcc/gcc-&gcc-version;/gcc-&gcc-version;.tar.bz2">
+
+<!ENTITY gettext-version "0.14.5">
+<!ENTITY gettext-size "4.6 MB">
+<!ENTITY gettext-url "&gnu;gettext/gettext-&gettext-version;.tar.gz">
+
+<!ENTITY glibc-version "20051024">
+<!ENTITY glibc-size "14 MB">
+<!ENTITY glibc-url "ftp://sources.redhat.com/pub/glibc/snapshots/glibc-&glibc-version;.tar.bz2">
+
+<!ENTITY grep-version "2.5.1a">
+<!ENTITY grep-size "520 KB">
+<!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.bz2">
+
+<!ENTITY groff-version "1.19.2">
+<!ENTITY groff-size "2.0 MB">
+<!ENTITY groff-url "&gnu;groff/groff-&groff-version;.tar.gz">
+
+<!ENTITY grub-version "0.97">
+<!ENTITY grub-size "963 KB">
+<!ENTITY grub-url "&alpha-gnu;grub/grub-&grub-version;.tar.gz">
+
+<!ENTITY gzip-version "1.3.5">
+<!ENTITY gzip-size "284 KB">
+<!ENTITY gzip-url "&alpha-gnu;gzip/gzip-&gzip-version;.tar.gz">
+
+<!ENTITY hfsutils-version "3.2.6">
+<!ENTITY hfsutils-size "203 KB">
+<!ENTITY hfsutils-url "ftp://ftp.mars.org/pub/hfs/hfsutils-&hfsutils-version;.tar.gz">
+
+<!ENTITY hotplug-version "2004_09_23">
+<!ENTITY hotplug-size "40 KB">
+<!ENTITY hotplug-url "&kernel;linux/utils/kernel/hotplug/hotplug-&hotplug-version;.tar.bz2">
+
+<!ENTITY iana-etc-version "2.00">
+<!ENTITY iana-etc-size "168 KB">
+<!ENTITY iana-etc-url "http://www.sethwklein.net/projects/iana-etc/downloads/iana-etc-&iana-etc-version;.tar.bz2">
+
+<!ENTITY inetutils-version "1.4.2">
+<!ENTITY inetutils-size "752 KB">
+<!ENTITY inetutils-url "&gnu;inetutils/inetutils-&inetutils-version;.tar.gz">
+
+<!ENTITY iproute2-version "050816">
+<!ENTITY iproute2-size "276 KB">
+<!ENTITY iproute2-url "http://developer.osdl.org/dev/iproute2/download/iproute2-&iproute2-version;.tar.gz">
+
+<!ENTITY kbd-version "1.12">
+<!ENTITY kbd-size "624 KB">
+<!ENTITY kbd-url "&kernel;linux/utils/kbd/kbd-&kbd-version;.tar.bz2">
+
+<!ENTITY less-version "385">
+<!ENTITY less-size "216 KB">
+<!ENTITY less-url "http://www.greenwoodsoftware.com/less/less-&less-version;.tar.gz">
+
+<!ENTITY lfs-bootscripts-version "3.2.2">
+<!ENTITY lfs-bootscripts-size "32 KB">
+<!ENTITY lfs-bootscripts-url "http://downloads.linuxfromscratch.org/lfs-bootscripts-&lfs-bootscripts-version;.tar.bz2">
+
+<!ENTITY libtool-version "1.5.20">
+<!ENTITY libtool-size "1.6 MB">
+<!ENTITY libtool-url "&gnu;libtool/libtool-&libtool-version;.tar.gz">
+
+<!ENTITY linux-dl-version "2.6">
+
+<!ENTITY linux-x86-version "2.6.12.6">
+<!ENTITY linux-x86-size "35 MB">
+<!ENTITY linux-x86-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-x86-version;.tar.bz2">
+
+<!ENTITY linux-x86_64-version "2.6.12.6">
+<!ENTITY linux-x86_64-size "35 MB">
+<!ENTITY linux-x86_64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-x86_64-version;.tar.bz2">
+
+<!ENTITY linux-ppc-version "2.6.12.6">
+<!ENTITY linux-ppc-size "35 MB">
+<!ENTITY linux-ppc-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-ppc-version;.tar.bz2">
+
+<!ENTITY linux-mips-version "2.6.12.6">
+<!ENTITY linux-mips-size "35 MB">
+<!ENTITY linux-mips-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-mips-version;.tar.bz2">
+
+<!ENTITY linux-mips64-version "2.6.12.6">
+<!ENTITY linux-mips64-size "35 MB">
+<!ENTITY linux-mips64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-mips64-version;.tar.bz2">
+
+<!ENTITY linux-sparc-version "2.6.12.6">
+<!ENTITY linux-sparc-size "35 MB">
+<!ENTITY linux-sparc-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-sparc-version;.tar.bz2">
+
+<!ENTITY linux-sparc64-version "2.6.12.6">
+<!ENTITY linux-sparc64-size "35 MB">
+<!ENTITY linux-sparc64-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-sparc64-version;.tar.bz2">
+
+<!ENTITY linux-alpha-version "2.6.12.6">
+<!ENTITY linux-alpha-size "35 MB">
+<!ENTITY linux-alpha-url "&kernel;linux/kernel/v&linux-dl-version;/linux-&linux-alpha-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-x86-version "2.6.12.0">
+<!ENTITY linux-libc-headers-x86-size "2.5 MB">
+<!ENTITY linux-libc-headers-x86-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-x86-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-x86_64-version "2.6.12.0">
+<!ENTITY linux-libc-headers-x86_64-size "2.5 MB">
+<!ENTITY linux-libc-headers-x86_64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-x86_64-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-ppc-version "2.6.12.0">
+<!ENTITY linux-libc-headers-ppc-size "2.5 MB">
+<!ENTITY linux-libc-headers-ppc-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-ppc-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-mips-version "2.6.12.0">
+<!ENTITY linux-libc-headers-mips-size "2.6 MB">
+<!ENTITY linux-libc-headers-mips-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-mips-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-mips64-version "2.6.12.0">
+<!ENTITY linux-libc-headers-mips64-size "2.6 MB">
+<!ENTITY linux-libc-headers-mips64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-mips64-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-sparc-version "2.6.12.0">
+<!ENTITY linux-libc-headers-sparc-size "2.6 MB">
+<!ENTITY linux-libc-headers-sparc-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-sparc-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-sparc64-version "2.6.12.0">
+<!ENTITY linux-libc-headers-sparc64-size "2.6 MB">
+<!ENTITY linux-libc-headers-sparc64-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-sparc64-version;.tar.bz2">
+
+<!ENTITY linux-libc-headers-alpha-version "2.6.12.0">
+<!ENTITY linux-libc-headers-alpha-size "2.6 MB">
+<!ENTITY linux-libc-headers-alpha-url "http://ep09.pld-linux.org/~mmazur/linux-libc-headers/linux-libc-headers-&linux-libc-headers-alpha-version;.tar.bz2">
+
+<!ENTITY m4-version "1.4.3">
+<!ENTITY m4-size "304 KB">
+<!ENTITY m4-url "&gnu;m4/m4-&m4-version;.tar.gz">
+
+<!ENTITY make-version "3.80">
+<!ENTITY make-size "904 KB">
+<!ENTITY make-url "&gnu;make/make-&make-version;.tar.bz2">
+
+<!ENTITY man-version "1.6b">
+<!ENTITY man-size "208 KB">
+<!ENTITY man-url "http://primates.ximian.com/~flucifredi/man/man-&man-version;.tar.gz">
+
+<!ENTITY man-pages-version "2.13">
+<!ENTITY man-pages-size "1.6 MB">
+<!ENTITY man-pages-url "&kernel;linux/docs/manpages/man-pages-&man-pages-version;.tar.bz2">
+
+<!ENTITY mktemp-version "1.5">
+<!ENTITY mktemp-size "68 KB">
+<!ENTITY mktemp-url "ftp://ftp.cs.colorado.edu/pub/mktemp/mktemp-&mktemp-version;.tar.gz">
+
+<!ENTITY module-init-tools-version "3.1">
+<!ENTITY module-init-tools-size "128 KB">
+<!ENTITY module-init-tools-url "&kernel;linux/utils/kernel/module-init-tools/module-init-tools-&module-init-tools-version;.tar.bz2">
+<!ENTITY module-init-tools-testsuite-size "34 KB">
+<!ENTITY module-init-tools-testsuite-url "&kernel;linux/utils/kernel/module-init-tools/module-init-tools-testsuite-&module-init-tools-version;.tar.bz2">
+
+<!ENTITY ncurses-version "5.5">
+<!ENTITY ncurses-size "2.3 MB">
+<!ENTITY ncurses-url "ftp://invisible-island.net/ncurses/ncurses-&ncurses-version;.tar.gz">
+
+<!ENTITY patch-version "2.5.9">
+<!ENTITY patch-size "156 KB">
+<!ENTITY patch-url "&alpha-gnu;diffutils/patch-&patch-version;.tar.gz">
+
+<!ENTITY parted-version "1.6.24">
+<!ENTITY parted-size "1.4 MB">
+<!ENTITY parted-url "&gnu;/parted/parted-&parted-version;.tar.gz">
+
+<!ENTITY perl-version "5.8.7">
+<!ENTITY perl-size "9.6 MB">
+<!ENTITY perl-url "http://ftp.funet.fi/pub/CPAN/src/perl-&perl-version;.tar.bz2">
+
+<!ENTITY powerpcutils-version "1.1.3">
+<!ENTITY powerpcutils-size "25 KB">
+<!ENTITY powerpcutils-url "http://ftp.debian.org/debian/pool/main/p/powerpc-utils/powerpc-utils_&powerpcutils-version;.orig.tar.gz">
+
+<!ENTITY procps-version "3.2.6">
+<!ENTITY procps-size "224 KB">
+<!ENTITY procps-url "http://procps.sourceforge.net/procps-&procps-version;.tar.gz">
+
+<!ENTITY psmisc-version "21.8">
+<!ENTITY psmisc-size "188 KB">
+<!ENTITY psmisc-url "&sourceforge;psmisc/psmisc-&psmisc-version;.tar.gz?download">
+
+<!ENTITY readline-version "5.0">
+<!ENTITY readline-size "1.4 MB">
+<!ENTITY readline-url "&gnu;readline/readline-&readline-version;.tar.gz">
+
+<!ENTITY sed-version "4.1.4">
+<!ENTITY sed-size "632 KB">
+<!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.gz">
+
+<!ENTITY shadow-version "4.0.13">
+<!ENTITY shadow-size "1,080 KB">
+<!ENTITY shadow-url "ftp://ftp.pld.org.pl/software/shadow/shadow-&shadow-version;.tar.bz2">
+
+<!ENTITY silo-version "1.4.9">
+<!ENTITY silo-size "144 KB">
+<!ENTITY silo-url "http://www.ultralinux.nl/silo/download/silo-&silo-version;.tar.bz2">
+<!ENTITY silo-loaders-size "108 KB">
+<!ENTITY silo-loaders-url "http://www.ultralinux.nl/silo/download/silo-loaders-&silo-version;.tar.gz">
+
+<!ENTITY sysklogd-version "1.4.1">
+<!ENTITY sysklogd-size "72 KB">
+<!ENTITY sysklogd-url "http://www.infodrom.org/projects/sysklogd/download/sysklogd-&sysklogd-version;.tar.gz">
+
+<!ENTITY sysvinit-version "2.86">
+<!ENTITY sysvinit-size "88 KB">
+<!ENTITY sysvinit-url "ftp://ftp.cistron.nl/pub/people/miquels/sysvinit/sysvinit-&sysvinit-version;.tar.gz">
+
+<!ENTITY tar-version "1.15.1">
+<!ENTITY tar-size "1.6 MB">
+<!ENTITY tar-url "&gnu;tar/tar-&tar-version;.tar.bz2">
+
+<!ENTITY tcl-version "8.4.11">
+<!ENTITY tcl-size "2.6 MB">
+<!ENTITY tcl-url "&sourceforge;tcl/tcl&tcl-version;-src.tar.gz?download">
+
+<!ENTITY texinfo-version "4.8">
+<!ENTITY texinfo-size "1.5 MB">
+<!ENTITY texinfo-url "&gnu;texinfo/texinfo-&texinfo-version;.tar.bz2">
+
+<!ENTITY udev-version "071">
+<!ENTITY udev-size "424 KB">
+<!ENTITY udev-url "&kernel;linux/utils/kernel/hotplug/udev-&udev-version;.tar.bz2">
+
+<!ENTITY udev-config-file "udev-config-cross-lfs-1.rules">
+<!ENTITY udev-config-size "1 KB">
+<!ENTITY udev-config-url "http://downloads.linuxfromscratch.org/&udev-config-file;">
+
+<!ENTITY util-linux-version "2.12r">
+<!ENTITY util-linux-size "1.3 MB">
+<!ENTITY util-linux-url "&kernel;linux/utils/util-linux/util-linux-&util-linux-version;.tar.bz2">
+
+<!ENTITY yaboot-version "1.3.13">
+<!ENTITY yaboot-size "270 KB">
+<!ENTITY yaboot-url "http://penguinppc.org/bootloaders/yaboot/yaboot-&yaboot-version;.tar.gz">
+
+<!ENTITY vim-version "6.4">
+<!ENTITY vim-size "3.6 MB">
+<!ENTITY vim-url "ftp://ftp.vim.org/pub/vim/unix/vim-&vim-version;.tar.bz2">
+<!ENTITY vim-language-size "540 KB">
+<!ENTITY vim-language-url "ftp://ftp.vim.org/pub/vim/extra/vim-&vim-version;-lang.tar.gz">
+
+<!ENTITY zlib-version "1.2.3">
+<!ENTITY zlib-size "368 KB">
+<!ENTITY zlib-url "http://www.zlib.net/zlib-&zlib-version;.tar.gz">
+
